跳到内容

从Emby迁移

不支持将Emby数据库(任何版本)直接迁移到Jellyfin。由于尝试这样做会导致数据库模式不一致,因此我们遇到了许多细微的错误,并且我们强烈建议从Emby迁移的所有Jellyfin用户都应重新扫描数据库和库。

下面提供了原始过程供参考,但是,我们完全不能认可或保证以此方式更新的系统将正常运行。如果有人有兴趣编写数据库迁移脚本来解决现有数据库中的缺陷并将其正确导入到Jellyfin中,我们将不胜感激!

从Emby迁移从Emby迁移
警告

尽管从技术上可以从Emby 3.5.2或更早版本迁移现有配置,但是由于在尝试此类操作后报告的细微和奇怪的错误,我们不建议您进行此迁移。 Emby版本3.5.3或3.6+无法迁移。因此,我们建议创建一个新的Jellyfin配置并改为重建您的库。

Windows用户可以利用Jellyfin存储库中的install-jellyfin.ps1脚本,该脚本包含自动更新选项。

该过程是为基于Debian的Linux发行版编写的,但可以遵循相同的一般原则,转换为其他平台。

  1. 升级到Emby版本3.5.2,以便完全更新数据库架构并保持一致。虽然这不是必需的,但可以帮助减少模糊的数据库错误的可能性。
  2. 停止Emby服务器守护程序:sudo服务emby-server stop
  3. 移开现有的Emby数据目录:sudo mv / var / lib / emby /var/lib/emby.backup
  4. 删除或清除emby-server软件包:sudo apt清除emby-server
  5. 按照installaton的说明安装jellyfin软件包。
  6. 停止水母恶魔:须藤服务,停止水母
  7. 从Emby的备份数据目录复制所有数据文件:sudo cp -a /var/lib/emby.backup/* / var / lib / jellyfin /
  8. 新数据目录中的正确属性:sudo chown -R jellyfin:jellyfin / var / lib / jellyfin
  9. 启动jelly守护进程:sudo服务启动jelly

zh_CN简体中文
es_ESEspañol hi_INहिन्दी arالعربية pt_BRPortuguês do Brasil bn_BDবাংলা ru_RUРусский ja日本語 de_DEDeutsch fr_FRFrançais it_ITItaliano zh_CN简体中文